# GetPrePaymentDisclosure API Operation (/archive/adaptive-payments/api/get-prepayment-disclosure)



> **Note:** **Important:** Adaptive Payments is not available for new integrations. PayPal provides this documentation to support existing integrations. If you're starting an integration, [we recommend our latest solutions](https://www.paypal.com/us/business/accept-payments).

Shows the pre-payment disclosure and response. This API is specific for merchants who must support the Consumer Financial Protection Bureau's Remittance Transfer Rule.

## GetPrePaymentDisclosure Message [#getprepaymentdisclosure-message]

### GetPrePaymentDisclosureRequest Fields [#getprepaymentdisclosurerequest-fields]

| Field<br />              | Description                                                                                                                                                                                                                          |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `payKey`<br />           | `xs:string`<br /&#x3E; &#x2A;(Required)* The pay key that identifies the payment for which you want to retrieve details. This is the pay key returned in the pay response message.<br />                                             |
| `receiverInfoList`<br /> | `ap:ReceiverInfoList`<br /&#x3E; &#x2A;(Optional)* List of payment receivers for unilateral scenarios. The list can contain details for a single simple payment or multiple receivers in support of parallel/chained payments.<br /> |
| `requestEnvelope`<br />  | `common:RequestEnvelope`<br /&#x3E; &#x2A;(Required)* Information common to each API operation, such as the language in which an error message is returned.<br />                                                                    |

### ReceiverInfoList Field [#receiverinfolist-field]

This must be provided in the case of a unilateral scenario.

| Field<br />          | Description<br />                                                                                                                                           |
| -------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `receiverInfo`<br /> | `ap:ReceiverInfo`<br /&#x3E; &#x2A;(Required)* List of receiver information details. For multiple receivers, this supports parallel/chained payments.<br /> |

### ReceiverInfo Fields [#receiverinfo-fields]

These fields must be populated for a receiver who does not have a PayPal account.

| Field<br />               | Description<br />                                                                                                                              |
| ------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| `accountIdentifier`<br /> | `common:AccountIdentifier`<br /&#x3E; &#x2A;(Required)* Identifies the payment receiver.<br />                                                 |
| `countryCode`<br />       | `xs:string`<br /&#x3E; &#x2A;(Required)* The two-character country code of the end consumer's home country.<br />                              |
| `firstName`<br />         | `xs:string`<br /&#x3E; &#x2A;(Optional)* The first name of the consumer as known by the institution.<br /> Maximum length: 64 characters<br /> |
| `lastName`<br />          | `xs:string`<br /&#x3E; &#x2A;(Optional)* The last name of the consumer as known by the institution.<br /> Maximum length: 64 characters<br />  |

### RequestEnvelope Fields [#requestenvelope-fields]

| Field<br />           | Description<br />                                                                                                                                                                                                                                    |
| --------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `detailLevel`<br />   | `common:DetailLevelCode`<br /&#x3E; &#x2A;(Optional)* Level of detail required by the client application for components. Currently only one value is available:<br /> `ReturnAll` — This value provides the maximum level of detail (default).<br /> |
| `errorLanguage`<br /> | `xs:string`<br /&#x3E; &#x2A;(Required)* RFC 3066 language in which error messages are returned; by default it is `en_US`, which is the only language currently supported.<br />                                                                     |

## GetPrePaymentDisclosure Response [#getprepaymentdisclosure-response]

### GetPrePaymentDisclosureResponse Fields [#getprepaymentdisclosureresponse-fields]

| Field<br />                    | Description<br />                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `disclaimer`<br />             | `xs:string`<br /&#x3E; &#x2A;(Optional)* Holds the disclaimer.<br />                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| `feesPayer`                    | `xs:string`&#x2A;(Optional)* The payer of PayPal fees. Value is:<br /> `SENDER` — Sender pays all fees. (This is for personal, implicit simple/parallel payments; do not use for chained or unilateral payments.)`PRIMARYRECEIVER` — Primary receiver pays all fees (chained payments only.)`EACHRECEIVER` — Each receiver pays their own fee (default, personal, and unilateral payments.)`SECONDARYONLY` — Secondary receivers pay all fees (use only for chained payments with one secondary receiver.)                                          |
| `receiverDisclosureList`<br /> | `ap:ReceiverDisclosureList`<br /&#x3E; &#x2A;(Optional)* Holds the disclosure information related to receivers. The merchant can parse the details available in the response and display them to the receiver.<br />                                                                                                                                                                                                                                                                                                                                |
| `responseEnvelope`             | `common:ResponseEnvelope`&#x2A;(Required)* Common response information, including a timestamp and the response acknowledgment status.<br />                                                                                                                                                                                                                                                                                                                                                                                                         |
| `senderDisclosure`<br />       | `ap:SenderDisclosure`<br /&#x3E; &#x2A;(Optional)* Holds the disclosure related to the sender.<br /> Merchants should display the details in SenderDisclosure.<br /> The FeeDisclosure applies only if the feePayer is set to SENDER.<br />                                                                                                                                                                                                                                                                                                         |
| `status`<br />                 | `ap:Status`<br /&#x3E; &#x2A;(Required)* Indicates the response status:<br /> Status = RTR: This is a Remittance Transfer Rule transaction.Status = NON\_RTR: This is not a Remittance Transfer Rule transaction.Status = MISSING\_RECEIVER\_COUNTRY\_INFORMATION: The Receiver country information is not found in the PayPal database. The merchant must call the API again with same set of parameters along with the receiver country code. This is useful in case of a Unilateral scenario, where the receiver does not hold a PayPal account. |

### ResponseEnvelope Fields [#responseenvelope-fields]

| Field<br />           | Description<br />                                                                                                                                                                                                                                                                                                                                                                  |
| --------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ack`<br />           | `common:AckCode`<br /&#x3E; &#x2A;(Required)* acknowledgment code. Value is:<br /> `Success` — The operation completed successfully.<br />`Failure` — The operation failed.<br />`SuccessWithWarning` — The operation completed successfully, however, there is a warning message.<br />`FailureWithWarning `— The operation failed with a warning message.<br />                  |
| `build`<br />         | `xs:string`<br /&#x3E; &#x2A;(Required)* Build number. It is used only by PayPal Merchant Technical Support.<br />                                                                                                                                                                                                                                                                 |
| `correlationId`<br /> | `xs:string`<br /&#x3E; &#x2A;(Required)* Correlation identifier. It is a 13-character, alphanumeric string (for example, `db87c705a910e`) that is used only by PayPal Merchant Technical Support.<br />  > **Note:** &#x2A;*Note:** You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues. |
| `timestamp`<br />     | `xs:datetime`<br /&#x3E; &#x2A;(Required)* Date on which the response was sent, for example:<br /> `2012-04-02T22:33:35.774-07:00`<br />  > **Note:** &#x2A;*Note:** You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues.                                                                |

### SenderDisclosure Fields [#senderdisclosure-fields]

| Field<br />                   | Description<br />                                                                                                                                                                                                                                                             |
| ----------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `amountToTransfer`<br />      | `common:CurrencyType`<br /&#x3E; &#x2A;(Required)* The amount of the transaction.<br />                                                                                                                                                                                       |
| `conversionRate`<br />        | `ap:ConversionRate`<br /&#x3E; &#x2A;(Required)* The conversion rate from the sender currency to the transaction currency.<br /> &#x2A;*Note:** In the case when there is no conversion of the sender currency, none of the elements in the conversion rate tag are returned. |
| `feeDisclosure`<br />         | `ap:FeeDisclosure`<br /&#x3E; &#x2A;(Optional)* The fee, if any, associated with the transaction.<br />                                                                                                                                                                       |
| `totalAmountToTransfer`<br /> | `common:CurrencyType`<br /&#x3E; &#x2A;(Required)* The total transaction that includes the main transaction amount adjusted for any associated fee.<br />                                                                                                                     |

### Status Field [#status-field]

| Field<br />    | Description<br />                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `status`<br /> | `xs:string`<br /&#x3E; &#x2A;(Required)* Indicates the response status as one of the following:<br /> RTR: This is a Remittance Transfer Rule transaction.NON\_RTR: This is not a Remittance Transfer Rule transaction.MISSING\_RECEIVER\_COUNTRY\_INFORMATION: The Receiver country information is not found in the PayPal database. The merchant must call the API again with same set of parameters along with the receiver country code. This is useful in case of a Unilateral scenario, where the receiver does not hold a PayPal account. |

### ReceiverDisclosureList Field [#receiverdisclosurelist-field]

| Field<br />                | Description<br />                                                                                     |
| -------------------------- | ----------------------------------------------------------------------------------------------------- |
| `receiverDisclosure`<br /> | `ap:ReceiverDisclosure`<br /&#x3E; &#x2A;(Required)* List of the disclosures for the receivers.<br /> |

### ReceiverDisclosure Fields [#receiverdisclosure-fields]

| Field<br />                      | Description<br />                                                                                                                                          |
| -------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `accountIdentifier`<br />        | `common:AccountIdentifier`<br /&#x3E; &#x2A;(Required)* Identifies the payment receiver.<br />                                                             |
| `amountReceivedFromSender`<br /> | `common:CurrencyType`<br /&#x3E; &#x2A;(Required)* The amount received from the sender.<br />                                                              |
| `conversionRate`<br />           | `ap:ConversionRate`<br /> &#x2A;*Note:** The conversion rate in the receiver disclosure is obsolete. All the elements in this tag return NULL value.<br /> |
| `countryCode`<br />              | `xs:string`<br /&#x3E; &#x2A;(Required)* The two-character country code of the end consumer's home country.<br />                                          |
| `feeDisclosure`<br />            | `ap:FeeDisclosure`<br /&#x3E; &#x2A;(Optional)* The fee, if any, associated with the transaction.<br />                                                    |
| `TotalAmountReceived`<br />      | `ap:CurrencyType`<br /&#x3E; &#x2A;(Required)* The total transaction that includes the main transaction amount adjusted for any associated fee.<br />      |

### CurrencyType Fields [#currencytype-fields]

| Field<br />    | Description<br />                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| -------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `amount`<br /> | `xs:decimal`<br /&#x3E; &#x2A;(Required)* The converted amount.<br />                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `code`<br />   | `xs:string`<br /&#x3E; &#x2A;(Required)* The currency code for the converted amount. Value is:<br /> Australian Dollar — `AUD`<br />Brazilian Real — `BRL`<br />  > **Note:** &#x2A;*Note:** This currency is supported as a payment currency and a currency balance for in-country PayPal accounts only.  If the receiver of funds is not from Brazil, then PayPal converts funds into the primary holding currency of the account with the applicable currency conversion rate.  The currency conversion rate includes PayPal's applicable spread or fee.Canadian Dollar — `CAD`<br />Czech Koruna — `CZK`<br />Danish Krone — `DKK`<br />Euro — `EUR`<br />Hong Kong Dollar — `HKD`<br />Hungarian Forint — `HUF`<br />Israeli New Shekel — `ILS`<br />Japanese Yen — `JPY`<br />Malaysian Ringgit — `MYR`<br />  > **Note:** &#x2A;*Note:** The Ringgit is supported as a payment currency and currency balance only for Malaysian PayPal accounts.Mexican Peso — `MXN`<br />Norwegian Krone — `NOK`<br />New Zealand Dollar — `NZD`<br />Philippine Peso — `PHP`<br />Polish Zloty — `PLN`<br />Pound Sterling — `GBP`<br />Singapore Dollar — `SGD`<br />Swedish Krona — `SEK`<br />Swiss Franc — `CHF`<br />Taiwan New Dollar — `TWD`<br />Thai Baht — `THB`<br />U.S. Dollar — `USD`<br /> |

### ConversionRate Fields [#conversionrate-fields]

| Field<br />              | Description<br />                                                                                                                            |
| ------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| `exchangeRate`<br />     | `xs:decimal`<br /&#x3E; &#x2A;(Required)* The exchange rate that converts a unit of the sender's currency to the transaction currency.<br /> |
| `receiverCurrency`<br /> | `xs:string`<br /&#x3E; &#x2A;(Required)* The transaction currency that the receiver will receive.<br />                                      |
| `senderCurrency`<br />   | `xs:string`<br /&#x3E; &#x2A;(Required)* The sender's primary currency to be converted.<br />                                                |

### FeeDisclosure Fields [#feedisclosure-fields]

| Field<br />   | Description<br />                                                                         |
| ------------- | ----------------------------------------------------------------------------------------- |
| `fee`<br />   | `ap:CurrencyType`<br /&#x3E; &#x2A;(Required)* The fee associated with the payment.<br /> |
| `taxes`<br /> | `ap:CurrencyType`<br /&#x3E; &#x2A;(Required)* Taxes associated with the payment.<br />   |

## PPFault Message [#ppfault-message]

The `PPFaultMessage` returns `ErrorData` and the `ResponseEnvelope` information to your application if an error occurs.

### FaultMessage Fields [#faultmessage-fields]

| Field<br />              | Description<br />                                                                                                                                       |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `error`<br />            | `common:ErrorData`<br /&#x3E; &#x2A;(Optional)* Detailed error information.<br />                                                                       |
| `responseEnvelope`<br /> | `common:ResponseEnvelope`<br /&#x3E; &#x2A;(Required)* Common response information, including a timestamp and the response acknowledgment status.<br /> |

### ErrorData Fields [#errordata-fields]

| Field<br />         | Description<br />                                                                                                                                                                                                                                                    |
| ------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `category`<br />    | `common:ErrorCategory`<br /> The location where the error occurred.<br /> Value is:<br /> `System` — The system encountered errors; try again.<br />`Application` — The application encountered errors; try again.<br />`Request` — The request was incorrect.<br /> |
| `domain`<br />      | `xs:string`<br /> The domain to which this service belongs.<br />                                                                                                                                                                                                    |
| `errorId`<br />     | `xs:long`<br /> A 6-digit number that uniquely identifies a particular error.<br />                                                                                                                                                                                  |
| `exceptionID`<br /> | `xs:token`<br /&#x3E; &#x2A;(Optional)* This field is not used.<br />                                                                                                                                                                                                |
| `message`<br />     | `xs:string`<br /> A description of the error.<br />                                                                                                                                                                                                                  |
| `parameter`<br />   | `common:ErrorParameter`<br /&#x3E; &#x2A;(Optional)* Represents contextual information about the error.<br />                                                                                                                                                        |
| `severity`<br />    | `common:ErrorSeverity`<br /> The severity of the error encountered.<br /> Value is:<br /> `Error` — Processing of the request was interrupted.<br />`Warning` — Processing of the request was completed.<br />                                                       |
| `subdomain`<br />   | `xs:string`<br /&#x3E; &#x2A;(Optional)* This field is not used.<br />                                                                                                                                                                                               |

### ResponseEnvelope Fields [#responseenvelope-fields-1]

| Field<br />           | Description<br />                                                                                                                                                                                                                                                                                                                                                                  |
| --------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `ack`<br />           | `common:AckCode`<br /&#x3E; &#x2A;(Required)* acknowledgment code. Value is:<br /> `Success` — The operation completed successfully.<br />`Failure` — The operation failed.<br />`SuccessWithWarning` — The operation completed successfully, however, there is a warning message.<br />`FailureWithWarning `— The operation failed with a warning message.<br />                  |
| `build`<br />         | `xs:string`<br /&#x3E; &#x2A;(Required)* Build number. It is used only by PayPal Merchant Technical Support.<br />                                                                                                                                                                                                                                                                 |
| `correlationId`<br /> | `xs:string`<br /&#x3E; &#x2A;(Required)* Correlation identifier. It is a 13-character, alphanumeric string (for example, `db87c705a910e`) that is used only by PayPal Merchant Technical Support.<br />  > **Note:** &#x2A;*Note:** You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues. |
| `timestamp`<br />     | `xs:datetime`<br /&#x3E; &#x2A;(Required)* Date on which the response was sent, for example:<br /> `2012-04-02T22:33:35.774-07:00`<br />  > **Note:** &#x2A;*Note:** You must log and store this data for every response you receive. PayPal Technical Support uses the information to assist with reported issues.                                                                |

## GetPrePaymentDisclosure Errors [#getprepaymentdisclosure-errors]

| Code<br />   | Message<br />                                                      |
| ------------ | ------------------------------------------------------------------ |
| 520002       | Internal error.                                                    |
| 520003<br /> | Authentication failed. API credentials are incorrect.<br />        |
| 550001<br /> | User is not allowed to perform this action.<br />                  |
| 569020<br /> | Feature not enabled.<br />                                         |
| 580001<br /> | Invalid request: \<value><br />                                    |
| 580022       | Invalid request parameter: \<value>                                |
| 580023<br /> | The fee payer SENDER cannot be used with unilateral receiver<br /> |
| 580027<br /> | The parameter is not supported.<br />                              |
